All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::clock_config_t Struct Reference

`#include <clock_config.hpp>`

## Public Types

enum | ref_source_t { REF_AUTO = int('a'), REF_INT = int('i'), REF_SMA = int('s'), REF_MIMO = int('m') }
enum | pps_source_t { PPS_INT = int('i'), PPS_SMA = int('s'), PPS_MIMO = int('m') }
enum | pps_polarity_t { PPS_NEG = int('n'), PPS_POS = int('p') }

## Public Member Functions

| clock_config_t (void)

## Static Public Member Functions

static clock_config_t | external (void)
| A convenience function to create an external clock configuration. More...
static clock_config_t | internal (void)
| A convenience function to create an internal clock configuration. More...

## Public Attributes

enum uhd::clock_config_t::ref_source_t | ref_source
enum uhd::clock_config_t::pps_source_t | pps_source
enum uhd::clock_config_t::pps_polarity_t | pps_polarity

## Detailed Description

The DEPRECATED Clock configuration settings: The source for the 10MHz reference clock. The source and polarity for the PPS clock.

Deprecated in favor of set time/clock source calls. Its still in this file for the sake of gr-uhd swig.

Use the convenience functions external() and internal(), unless you have a special purpose and cannot use them.

## Member Enumeration Documentation

enum uhd::clock_config_t::pps_polarity_t

Enumerator
PPS_NEG |
PPS_POS |

enum uhd::clock_config_t::pps_source_t

Enumerator
PPS_INT |
PPS_SMA |
PPS_MIMO |

enum uhd::clock_config_t::ref_source_t

Enumerator
REF_AUTO |
REF_INT |
REF_SMA |
REF_MIMO |

## Constructor & Destructor Documentation

uhd::clock_config_t::clock_config_t | ( | void |  | ) |

## Member Function Documentation

static clock_config_t uhd::clock_config_t::external | ( | void |  | ) |

static

A convenience function to create an external clock configuration.

static clock_config_t uhd::clock_config_t::internal | ( | void |  | ) |

static

A convenience function to create an internal clock configuration.

## Member Data Documentation

enum uhd::clock_config_t::pps_polarity_t uhd::clock_config_t::pps_polarity

enum uhd::clock_config_t::pps_source_t uhd::clock_config_t::pps_source

enum uhd::clock_config_t::ref_source_t uhd::clock_config_t::ref_source

The documentation for this struct was generated from the following file:

- include/uhd/types/clock_config.hpp